Authentication

Go to the Credentials section of your Profile pagearrow-up-right on cortecs.ai and create your credentials first.

Authenticate a client and retrieve an access token

post

Authenticates a client using the client credentials and returns an access token to be used for further API requests.

Body
client_idstringRequired

The client ID assigned to the client.

Example: your_client_id
client_secretstringRequired

The client secret assigned to the client.

Example: your_client_secret
grant_typestringRequired

The type of grant being used, typically "client_credentials".

Example: client_credentials
Responses
chevron-right
200

Successfully authenticated

application/json
access_tokenstringOptional

The access token to be used for further API requests.

Example: abcdef123456
token_typestringOptional

The type of token, typically "Bearer".

Example: Bearer
expires_innumberOptional

The number of seconds until the token expires.

Example: 3600
post
/oauth2/token

📌 Remember to include the Authorization: Bearer <access_token> header when required.

Last updated